/*
 *  C140FCN.H
 *
 *  Dscription:     This file declare the function proto type of all the
 *                  modules.
 *
 *  Copyright (c) 1997 by D-Link Corporation. All right reserved.
 *
 *  Created by David Hsieh
 *
 *  Revision History:
 *
 *  Name        Date        Ver     Brief
 *  ----------- ----------- ------- -------------------------------------------
 *
 */
#ifndef C140FCN_H
#define C140FCN_H


/* CCHIP140.c */
ODISTAT
DriverInit(
    struct _MODULE_HANDLE_  *ModuleHandle,
    SCREEN_HANDLE           *ScreenHandle,
    MEON                    *CommandLine,
    MEON                    *ModuleLoadPath,
    tULONG                  UnitializedDataLength,
    tPVOID                  CustomDataFileHandle,
    UINT32                  (* FileRead)(void   *FileHandle,
                                         UINT32 FileOffset,
                                         void   *FileBuffer,
                                         UINT32 FileSize),
    tULONG                  CustomDataOffset,
    tULONG                  CustomDataSize,
    tULONG                  NumMsgs,
    MEON                    **Msgs
    );

tRESULT
bInitAndGetUserSelection(
    tPUSER_SEL          pUserSel,
    CONFIG_TABLE        *pConfigTable,
    DRIVER_PARM_BLOCK   *pDriverParm
    );

tVOID
FixUpStatStrings(
    DRIVER_DATA *pDrvData
    );

tVOID
CalculateCSRAddresses(
    tPUSHORT    pCSR,
    tUSHORT     wIOBase
    );

tVOID
DriverISR(
    DRIVER_DATA *pDrvData
    );

tVOID
ProcessReceivedPacket(
    DRIVER_DATA     *pDrvData,
    tULONG          dwIntStats
    );

tVOID
ProcessTransmittedPacket(
    DRIVER_DATA     *pDrvData,
    tULONG          dwIntStatus
    );

tVOID
InitializeSetupBuffer(
    tPADAPTER   pAdapter,
    tPUSHORT    pAddress
    );

tVOID
AddBroadcastToSetupBuffer(
    tPADAPTER   pAdapter
    );

tVOID
RemoveBroadcastFromSetupBuffer(
    tPADAPTER   pAdapter
    );

tVOID
SetMulticastAddress(
    tPADAPTER               pAdapter,
    tPVOID                  pCurrentNetworkAddress,
    tBOOLEAN                bEnableBroadcast,
    GROUP_ADDR_LIST_NODE    *pAddresses,
    tUINT                   nAddrCount
    );

tBOOLEAN
bLoadSetupBuffer(
    DRIVER_DATA             *pDrvData,
    tBOOLEAN                bInterruptMode
    );

ODISTAT
DriverMulticastChange(
    DRIVER_DATA             *pDrvData,
    CONFIG_TABLE            *pConfigTable,
    GROUP_ADDR_LIST_NODE    *pMCTable,
    tULONG                  dwNumEntries,
    tULONG                  dwFunAddrBits
    );

ODISTAT
DriverReset(
    DRIVER_DATA             *pDrvData,
    CONFIG_TABLE            *pConfigTable,
    OPERATION_SCOPE         OperationScope
    );

VOID
DriverSend(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable,
    TCB             *pTCB,
    tULONG          dwBytesToSend,
    tPVOID          pPhysical
    );

ODISTAT
DriverShutdown(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable,
    tULONG          dwShutdownType,
    OPERATION_SCOPE OperationScope
    );

ODISTAT
DriverPromiscuousChange(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable,
    tULONG          dwChangeTo
    );

tVOID
DriverEnableInterrupt(
    DRIVER_DATA         *pDrvData
    );

BOOLEAN
DriverDisableInterrupt(
    DRIVER_DATA *pDrvData,
    BOOLEAN     bFlag
    );

tRESULT
bParseSerialROM(
    tPPUB           pPub,
    CONFIG_TABLE    *pConfigTable
    );

tVOID
AlignAddress(
    tPVOID          *pAddress,
    tUCHAR          cBoundary
    );

tRESULT
bAllocateMemory(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable
    );

tVOID
FreeMemory(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable
    );

tVOID
UpdateMissedFrameCounter(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable
    );

tVOID
SetCSR0Value(
    tPADAPTER       pAdapter
    );

tVOID
InitOperationMode(
    tPADAPTER       pAdapter
    );

tVOID
InitInterruptMask(
    tPADAPTER       pAdapter
    );

tVOID
AllocateRxBuffers(
    DRIVER_DATA     *pDrvData
    );

tVOID
DeallocateRxBuffers(
    DRIVER_DATA     *pDrvData
    );

tVOID
InitializeTheReceiveRing(
    tPADAPTER       pAdapter
    );

tVOID
InitializeTheReceiveBuffer(
    DRIVER_DATA     *pDrvData
    );

tVOID
InitializeTheTransmitRing(
    tPADAPTER       pAdapter
    );

tVOID
InitializeTheTransmitBuffer(
    tPADAPTER       pAdapter
    );

tRESULT
bResetDevice(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable
    );

tVOID
SoftwareResetChip(
    DRIVER_DATA     *pDrvData,
    CONFIG_TABLE    *pConfigTable
    );

tULONG
dwCRC32(
    tPUCHAR         pData,
    tUINT           nLen
    );

tVOID
WriteCSR6(
    tPADAPTER       pAdapter
    );

tVOID
ZeroMemory(
    tPCHAR      pBuffer,
    tUINT       nSize
    );

tVOID
CopyMemory(
    tPCHAR      pTo,
    tPCHAR      pFrom,
    tUINT       nSize
    );

tVOID
MediaDetection(
    tPADAPTER   pAdapter
    );

tVOID
MediaSense(
    tPADAPTER   pAdapter
    );


/* C140NBI.c */
tRESULT
bGetSelectedBoardInformation(
    DRIVER_PARM_BLOCK   *pDriverParm,
    CONFIG_TABLE        *pConfigTable
    );

tRESULT
bReadAndCheckPCIParameters(
    DRIVER_DATA         *pDrvData,
    CONFIG_TABLE        *pConfigTable
    );

tRESULT
bWorkAroundChipsetBug(
    tPADAPTER       pAdapter,
    CONFIG_TABLE    *pConfigTable
    );




/* SROM.c */
tRESULT
bReadSROMWords(
    tPPUB               pPub,
    tUSHORT             wPort,
    tPUSHORT            pBuffer,
    tINT                nLen
    );



#endif
