/*
 *  DEBUG.H
 *
 *  Description:    Debug header file used for NDIS4.0 miniport driver.
 *
 */
#ifndef DEBUG_H
#define DEBUG_H

#ifdef DEBUG_INIT
#define DBG_INIT(A)     {A}
#else
#define DBG_INIT(A)
#endif

#ifdef DEBUG_SROM
#define DBG_SROM(A)     {A}
#else
#define DBG_SROM(A)
#endif

#ifdef DEBUG_ALLOC
#define DBG_ALLOC(A)    {A}
#else
#define DBG_ALLOC(A)
#endif

#ifdef DEBUG_MII
#define DBG_MII(A)        {A}
#define DbgPrint(format, a...)     printk(format, ## a)     
#else
#define DBG_MII(A)      
#endif

#ifdef DEBUG_BREAKPOINT
#define DBG_BREAK()     DbgBreakPoint()
#else
#define DBG_BREAK()
#endif

#ifdef DEBUG_RESET
#define DBG_RESET(A)    {A}
#else
#define DBG_RESET(A)
#endif

#ifdef DEBUG_CSR6
#define DBG_CSR6(format, a...)     printk(format, ## a)
#else
#define DBG_CSR6(format, a...)
#endif

#ifdef DEBUG_SEND
#define DBG_SEND(A)     {A}
#else
#define DBG_SEND(A)
#endif

#ifdef DEBUG_OID
#define DBG_OID(A)      {A}
#else
#define DBG_OID(A)
#endif

#ifdef DEBUG_INT
#define DBG_INT(A)      {A}
#else
#define DBG_INT(A)
#endif

#ifdef DEBUG_FILTER
#define DBG_FILTER(A)   {A}
#else
#define DBG_FILTER(A)
#endif

#ifdef DEBUG_RCV
#define DBG_RCV(A)      {A}
#else
#define DBG_RCV(A)
#endif

#ifdef DEBUG_HCT
#define DBG_HCT(A)      {A}
#else
#define DBG_HCT(A)
#endif

/* useful marcos for printing debug information */
#ifdef DEBUG_CSR5
#define DBG_CSR5(format, a...)     printk(format, ## a)
#else
#define DBG_CSR5(format, a...)    
#endif 

#ifdef DEBUG_INTERRUPT
#define DBG_INTERRUPT(format, a...)     printk(format, ## a)
#else
#define DBG_INTERRUPT(format, a...)
#endif

#ifdef DEBUG_TX_DESC
#define DBG_TX_DESC(format, a...)     printk(format, ## a)
#else
#define DBG_TX_DESC(format, a...)
#endif

#ifdef DEBUG_CLOSE
#define DBG_CLOSE(format, a...)     printk(format, ## a)
#else
#define DBG_CLOSE(format, a...)
#endif

#ifdef DEBUG_MULTICAST
#define DBG_MULTICAST(format, a...)     printk(format, ## a)
#else
#define DBG_MULTICAST(format, a...)
#endif

#ifdef DEBUG_CSR12
#define DBG_CSR12(format, a...)     printk(format, ## a)
#else
#define DBG_CSR12(format, a...)
#endif

#ifdef DEBUG_CSR7
#define DBG_CSR7(format, a...)     printk(format, ## a)
#else
#define DBG_CSR7(format, a...)
#endif

#ifdef DEBUG_LINK_CHANGE_INTR
#define DBG_LINK_CHANGE_INTR(format, a...)     printk(format, ## a)
#else
#define DBG_LINK_CHANGE_INTR(format, a...)
#endif

#ifdef DEBUG_RX_INTR
#define DBG_RX_INTR(format, a...)   printk(format,## a)
#else
#define DBG_RX_INTR(format, a...)
#endif

#ifdef DEBUG_RX_DESC
#define DBG_RX_DESC(format, a...)   printk(format, ## a)
#else
#define DBG_RX_DESC(format, a...)
#endif
#else


#endif /* DEBUG_H*/
