
/*
 *  DELAY.h
 *
 *  Description:    This file defines the adapter independent delay routines
 *                  and constants for several drivers.
 *
 *  Copyright (c) 1997 by D-Link Corporation. All rights reserved.
 *
 *  Created by David Hsieh
 *
 *  Name        Date        Ver     Brief
 *  ----------- ----------- ------- -------------------------------------------
 *  David Hsieh 1997-July   Beta    Create NDIS 4.0 miniport driver.
 *  Becker Horng 1997-July  Beta    Added 'udelay()' for Linux
 *
 */

#ifndef DELAY_H

#define MILLISECOND                 1000

#if OS_TYPE == ODI32
tVOID Delay(tUSHORT wMicroSecond);
#endif

#if OS_TYPE == NDIS
#define Delay(A)                    NdisStallExecution(A)
#endif

#if OS_TYPE == LINUX 
#define Delay(A)                    udelay(A)             
#endif /*LINUX*/

#endif
