/*
 *  MEDIA.H
 *
 *  Description:    This file defines the Chip140 media constants and
 *                  structures.
 *
 *  Copyright (c) 1997 by D-Link Corporation. All right reserved.
 *
 *  Created by XXXX
 *
 *  Revision History:
 *
 *  Name        Date        Ver     Brief
 *  ----------- ----------- ------- ------------------------------------------
 *
 *
 */
#ifndef MEDIA_H
#define MEDIA_H


/* Check if MII.h included. (MiiPhy) */
#ifndef MII_H
#include "mii.h"
#endif

/* Check if PUB.H included. (Chip140) */
#ifndef PUB_H
#include "pub.h"
#endif


/*******************************************************************
 *
 *      Media Control
 *
 *******************************************************************/

/* Media Control block structure */
typedef struct tMEDIA_CTRL
{
    tMII_MEDIA_TYPE             MiiMediaType;
    tMII_PHY_INFO               PhyInfo;
} tMEDIA_CTRL, *tPMEDIA_CTRL;


/* Media layer supported function prototype */
tRESULT
bMacToPhyInit(
    tPPUB           pPub,
    tPMEDIA_CTRL    pMediaCtrlBlk,
    tUSHORT         wCType
    );

tRESULT
bMacSetPhyControl(
    tPPUB           pPub,
    tPMEDIA_CTRL    pMediaCtrlBlk
    );

tBOOLEAN
bDetectMediaType(
    tPPUB           pPub,
    tPMEDIA_CTRL    pMediaCtrlBlk
    );

tBOOLEAN
DynamicSenseMedia(
    tPPUB           pPub,
    tPMEDIA_CTRL    pMediaCtrlBlk,
    tBOOLEAN        *pLineSpeed100,
    tBOOLEAN        *pFDEnable
    );

#endif
