/*
 *  MIIFCN.h
 *
 *  Description:    This routine defines the prototypes of all the public
 *                  functions in module MIIPHY.c. These functions can be
 *                  reference by MACTOPHY.c module only.
 *
 *  Copyright (c) 1997 by D-Link Corporation. All rights reserved.
 *
 *  Created by David Hsieh
 *
 *  Revision History:
 *
 *  By          Date        Ver     Brief
 *  ----------- ----------- ------- -----------------------------------------
 *  David Hsieh             N/A     Create.
 *
 */
#ifndef MIIFCN_H
#define MIIFCN_H


/* MII PHY layer supports function prototype define. */
tRESULT
bFindAndInitMiiPhy(
    tPPUB           pPub,
    tPMII_PHY_INFO  pPhyInfo
    );

tVOID
SetMiiPhyAdvertisement(
    tPPUB           pPub,
    tPMII_PHY_INFO  pPhyInfo,
    tUSHORT         wAdvertisement
    );

tUSHORT
wGetMiiPhyCapabilities(
    tPPUB           pPub,
    tPMII_PHY_INFO  pPhyInfo
    );

tVOID
MiiPhyAdminControl(
    tPPUB           pPub,
    tPMII_PHY_INFO  pPhyInfoPtr,
    tMII_STATUS     Control
    );

tVOID
MiiPhyAdminStatus(
    tPPUB           pPub,
    tPMII_PHY_INFO  pPhyInfo,
    tPMII_STATUS    pStatus
    );

tRESULT
bSetMiiPhyConnection(
    tPPUB           pPub,
    tPMII_PHY_INFO  pPhyInfo,
    tMII_MEDIA_TYPE MiiMediaType
    );

tBOOLEAN
bGetMiiPhyActiveConnection(
    tPPUB               pPub,
    tPMII_PHY_INFO      pPhyInfo,
    tPMII_MEDIA_TYPE    pMediaType
    );

tBOOLEAN
bGetMiiPhyLinkStatus(
    tPPUB               pPub,
    tPMII_PHY_INFO      pPhyInfo
    );
#endif

