/*
 *  TYPESDEF.H
 *
 *  Description:    This file defines the COMMON types used for D-Link's
 *                  driver programs.
 *
 *  Copyright (c) 1997 by D-Link Corporation. All right reserved.
 *
 *  Created by David Hsieh at 970306
 *
 *  Revision History:
 *
 *  Name        Date        Ver     Brief
 *  ----------- ----------- ------- ------------------------------------------
 *  David Hsieh 970306      N/A     Create.
 *  David Hsieh 970414      N/A     1. Add '#ifndef' for redefine check.
 *
 *  David Hsieh 970506      N/A     Add prefix 't' to all the typedef types.
 *                                  Because some complier (like WATCOM) can not
 *                                  solve redefine-check problem with '#ifndef'
 *                                  statement. We decide to change the name of
 *                                  the type we defined.
 *
 */
#ifndef TYPESDEF_H
#define TYPESDEF_H

#ifndef tUCHAR
typedef unsigned char       tUCHAR;
#endif
#ifndef tPUCHAR
typedef unsigned char       *tPUCHAR;
#endif

#ifndef tUSHORT
typedef unsigned short      tUSHORT;
#endif
#ifndef tPUSHORT
typedef unsigned short      *tPUSHORT;
#endif

#ifndef tULONG
typedef unsigned long       tULONG;
#endif
#ifndef tPULONG
typedef unsigned long       *tPULONG;
#endif

#ifndef tUINT
typedef unsigned int        tUINT;
#endif
#ifndef tPUINT
typedef unsigned int        *tPUINT;
#endif

#ifndef tCHAR
typedef char                tCHAR;
#endif
#ifndef tPCHAR
typedef char                *tPCHAR;
#endif

#ifndef tSHORT
typedef short int           tSHORT;
#endif
#ifndef tPSHORT
typedef short int           *tPSHORT;
#endif

#ifndef tLONG
typedef long                tLONG;
#endif
#ifndef tPLONG
typedef long                *tPLONG;
#endif

#ifndef tINT
typedef int                 tINT;
#endif
#ifndef tPINT
typedef int                 *tPINT;
#endif


#ifndef tBYTE
typedef unsigned char       tBYTE;
#endif

#ifndef tWORD
typedef unsigned short      tWORD;
#endif

#ifndef tDWORD
typedef unsigned long       tDWORD;
#endif


#ifndef tVOID
typedef void    tVOID;
#endif
#ifndef tPVOID
typedef void    *tPVOID;
#endif


typedef enum tBOOLEAN
{
    eFALSE=0,
    eTRUE
} tBOOLEAN;

typedef enum tANSWER
{
    eNO=0,
    eYES
} tANSWER;

typedef enum tRESULT
{
    eFAIL=0,
    eSUCCESS
} tRESULT;
#endif
